commit:     be6de99721fa1d3bace26260acf29781940faba4
Author:     Alexey Sokolov <alexey+gentoo <AT> asokolov <DOT> org>
AuthorDate: Sun Mar  8 14:42:00 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 11 13:43:11 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be6de997

games-board/awale: fix build on musl with new gcc

Closes: https://bugs.gentoo.org/944257
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/257
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-board/awale/awale-1.6-r2.ebuild          | 45 ++++++++++++++++++++++++++
 games-board/awale/files/awale-1.6-getopt.patch | 14 ++++++++
 2 files changed, 59 insertions(+)

diff --git a/games-board/awale/awale-1.6-r2.ebuild 
b/games-board/awale/awale-1.6-r2.ebuild
new file mode 100644
index 000000000000..4407b3b919bd
--- /dev/null
+++ b/games-board/awale/awale-1.6-r2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools desktop
+
+DESCRIPTION="Free Awale - The game of all Africa"
+HOMEPAGE="https://www.nongnu.org/awale/";
+SRC_URI="mirror://nongnu/awale/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gui"
+
+RDEPEND="gui? ( dev-lang/tk )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.6-getopt.patch
+)
+
+src_prepare() {
+       # requires too old automake otherwise
+       default
+       eautoreconf
+}
+
+src_install() {
+       if use gui; then
+               emake -j1 DESTDIR="${D}" install #799107
+
+               fperms +x /usr/share/${PN}/xawale.tcl
+
+               doicon src/awale.png
+               make_desktop_entry xawale "Free Awale"
+
+               rm "${ED}"/usr/share/applications/awale.desktop || die
+       else
+               dobin src/awale
+               doman man/awale.6
+       fi
+
+       einstalldocs
+}

diff --git a/games-board/awale/files/awale-1.6-getopt.patch 
b/games-board/awale/files/awale-1.6-getopt.patch
new file mode 100644
index 000000000000..ea85cf521a6a
--- /dev/null
+++ b/games-board/awale/files/awale-1.6-getopt.patch
@@ -0,0 +1,14 @@
+Use system getopt instead of local copy
+
+https://bugs.gentoo.org/895882
+https://bugs.gentoo.org/944257
+
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -1,5 +1,5 @@
+ bin_PROGRAMS = awale
+-awale_SOURCES = awale.c getopt.c getopt1.c getopt.h
++awale_SOURCES = awale.c
+ INCLUDES = -I. -I$(srcdir)
+ bin_SCRIPTS = xawale
+ xawale:

Reply via email to